<?php        
/**
 * @package WordPress
 * @subpackage Sheeva
 * @since 1.0
 */
 
/*
Template Name: Home
*/

global $wp_query, $yiw_home_sections;

if ( ( is_home() || is_front_page() ) && get_option( 'show_on_front' ) == 'posts' || $wp_query->is_posts_page ) {
    global $yiw_is_posts_page;
    $yiw_is_posts_page = true;
    get_template_part( 'blog' ); 
    die;
}       

if( ( is_home() || is_front_page() ) && get_option( 'show_on_front' ) == 'posts' || is_home() && get_option( 'page_for_posts' ) != '0' ) {
    $blog_type = yiw_get_option('blog_type');
    get_template_part( 'blog' ); 
    die;
}

get_header(); ?>
            
    <?php $sidebar = FALSE;
        if(get_option('home_sidebar_show')) $sidebar = TRUE;
        
        $title = FALSE;
        if(get_option('home_title_show')) $title = TRUE;
    ?>
    <div id="primary"class="layout-<?php echo yiw_layout_page() ?> home-section">    
	    <div class="inner group">
            <!-- START CONTENT -->
            <div id="content">
                    
                
                <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                        
                    <?php if($title) the_title('<h2 class="title-page">', '</h2>') ?>
                    
                    <?php the_content() ?>
                
                <?php endwhile; endif; ?>        
            
            </div>
            <!-- END CONTENT -->
        </div>
    </div>
    
    <?php get_template_part( 'home', 'news' ) ?>
    
<?php get_footer(); ?>