<?php       
/**
 * @package WordPress
 * @since 1.0
 */
 
wp_enqueue_style( 'Oswald', 'http://fonts.googleapis.com/css?family=Oswald&v2' );      

$post_type = get_post_type();
 
get_header() ?>           
        


        <div id="primary" class="layout-<?php echo yiw_layout_page() ?> home-section">  
    		<div class="inner group">            
    
                <!-- START CONTENT -->
                <div id="content" class="group">
                    <?php $blog_type = yiw_get_option('blog_type'); ?>
                    
                    <?php switch( $post_type ) {
                              case 'bl_testimonials' : get_template_part('loop', 'internal'); break;
                              default                : get_template_part('loop', 'index');
                          }
                    ?>
    
                </div>                       
                <!-- END CONTENT -->
                
                <!-- START LATEST NEWS -->
                <?php 
                    if( $post_type == 'bl_testimonials' ) {
                        get_sidebar('testimonials');
                    } else {
                        get_sidebar('blog');
                    }
                ?>
                <!-- END LATEST NEWS -->   
            
            </div>     
         </div> 
        
<?php get_footer() ?>
