<?php      
/**
 * @package WordPress
 * @subpackage Beauty & Clean
 * @since 1.0
 */

get_header() ?>           
         
    <div id="primary" class="layout-<?php echo yiw_get_option( '404_sidebar_position' ) ?> home-section">    
		    <div class="inner group">
                
                <!-- START CONTENT -->
                <div id="content" class="group">
                    <?php if( !yiw_get_option( '404_custom' ) ) : ?>
                        <img class="error-404-image group" src="<?php echo get_template_directory_uri() ?>/images/404.png" title="<?php _e( 'Error 404', 'yiw' ); ?>" alt="404" />
                        <div class="error-404-text group">
                            <h2>Something bad happened</h2>
                            <h3>but don't worry, you can <a href="<?php echo home_url(); ?>">turn to the home page</a>.</h3>
                        </div>
                    <?php
                    else : 
                        if( yiw_get_option( '404_image_position' ) == 'above' ) : ?>
                            <img class="error-404-image group" src="<?php echo yiw_get_option( '404_image' ); ?>" title="<?php _e( '404 Error', 'yiw' ) ?>" alt="<?php _e( '404 Error', 'yiw' ) ?>" />
                            <div class="error-404-text group"><?php yiw_convertTags( do_shortcode( stripslashes( yiw_get_option( '404_text' ) ) ) ) ?></div>
                        <?php else : ?>    
                            <div class="error-404-text group"><?php yiw_convertTags( do_shortcode( stripslashes( yiw_get_option( '404_text' ) ) ) ) ?></div>
                            <img class="error-404-image group" src="<?php echo yiw_get_option( '404_image' ); ?>" title="<?php _e( '404 Error', 'yiw' ) ?>" alt="<?php _e( '404 Error', 'yiw' ) ?>" />
                        <?php
                        endif;
                    endif;
                    ?>
                    
                </div>
                <!-- END CONTENT -->
    
                <!-- START SIDEBAR -->
                <?php if( yiw_get_option( '404_sidebar' ) ) get_sidebar('404') ?>
                <!-- END SIDEBAR -->
    
        </div>
    </div>
    
<?php get_footer() ?>
