<?php
/**
 * Register theme metaboxes.     
 * 
 * @package WordPress
 * @subpackage YIW Themes
 * @since 1.0
 */
 
// subtitle slogan
// $options_args = array(
//     11 => array( 
//         'id' => 'subslogan_page',
//         'name' => __( 'Slogan Subtitle', 'yiw' ), 
//         'type' => 'text',
//         'desc' => __( 'Insert the subtitle of slogan showed below the main title of this slogan.', 'yiw' ),
//         'desc_location' => 'newline'
//     ),
// ); 
// yiw_add_options_to_metabox( 'yiw_slogan_page', $options_args );




//testimonial url
$options_args = array(
    10 => array(
        'id' => 'testimonial_label',
        'name' => __( 'Web Site Label', 'yiw' ), 
        'type' => 'text',
        'desc' => __( 'Insert the label used for Testimonial Website Url', 'yiw' ),
        'desc_location' => 'newline'
    ),
    20 => array(
        'id' => 'testimonial_website',
        'name' => __( 'Web Site URL', 'yiw' ), 
        'type' => 'text',
        'desc' => __( 'Insert the url referred to Testimonial', 'yiw' ),
        'desc_location' => 'newline'
    )
);
yiw_register_metabox( 'yiw_url_testimonial', __( 'Website Testimonial', 'yiw' ), 'bl_testimonials', $options_args, 'normal', 'high' );



//team roles
$options_args = array(
    10 => array(
        'id' => 'team_role',
        'name' => __( 'Role:', 'yiw' ), 
        'type' => 'text',
        'desc' => __( 'The role of the collaborator.', 'yiw' ),
        'desc_location' => 'newline'
    )
);
yiw_register_metabox( 'yiw_role_team', __( 'Role', 'yiw' ), 'bl_team', $options_args, 'normal', 'high' );
?>